# Percentage

Handles all Percentage Transfer Restriction related functionality

## Hierarchy

* TransferRestrictionBase‹Percentage›

  ↳ **Percentage**

## Index

### Properties

* [addRestriction](/polymesh-sdk-api-reference/docs-v4/classes/percentage.md#addrestriction)
* [context](/polymesh-sdk-api-reference/docs-v4/classes/percentage.md#protected-context)
* [get](/polymesh-sdk-api-reference/docs-v4/classes/percentage.md#get)
* [parent](/polymesh-sdk-api-reference/docs-v4/classes/percentage.md#protected-parent)
* [removeRestrictions](/polymesh-sdk-api-reference/docs-v4/classes/percentage.md#removerestrictions)
* [setRestrictions](/polymesh-sdk-api-reference/docs-v4/classes/percentage.md#setrestrictions)
* [type](/polymesh-sdk-api-reference/docs-v4/classes/percentage.md#protected-type)

## Properties

### addRestriction

• **addRestriction**: *ProcedureMethod‹Omit‹*[*AddPercentageTransferRestrictionParams*](/polymesh-sdk-api-reference/docs-v4/globals.md#addpercentagetransferrestrictionparams)*, "type"›, number›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*addRestriction*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#addrestriction)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:27*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L27)

Add a Percentage Transfer Restriction to this Security Token

**`param`** limit on the proportion of the total supply of this Security Token that can be held by a single investor at once

**`param`** array of Scope IDs that are exempted from the Restriction

**`param`** array of Identities (or DIDs) that are exempted from the Restriction

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v4/classes/context.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Namespace.ts#L11)

### get

• **get**: *function*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*get*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#get)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L61)

Retrieve all active Percentage Transfer Restrictions

**`note`** there is a maximum number of restrictions allowed accross all types. The `availableSlots` property of the result represents how many more restrictions can be added before reaching that limit

#### Type declaration:

▸ (): *Promise‹*[*ActiveTransferRestrictions*](/polymesh-sdk-api-reference/docs-v4/interfaces/activetransferrestrictions.md)*‹*[*PercentageTransferRestriction*](/polymesh-sdk-api-reference/docs-v4/interfaces/percentagetransferrestriction.md)*››*

### `Protected` parent

• **parent**: [*SecurityToken*](/polymesh-sdk-api-reference/docs-v4/classes/securitytoken.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Namespace.ts#L9)

### removeRestrictions

• **removeRestrictions**: *ProcedureMethod‹void, number›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*removeRestrictions*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#removerestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:52*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L52)

Removes all Percentage Transfer Restrictions from this Security Token

**`note`** the result is the total amount of restrictions after the procedure has run

### setRestrictions

• **setRestrictions**: *ProcedureMethod‹Omit‹*[*SetPercentageTransferRestrictionsParams*](/polymesh-sdk-api-reference/docs-v4/interfaces/setpercentagetransferrestrictionsparams.md)*, "type"›, number›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*setRestrictions*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#setrestrictions)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:42*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L42)

Sets all Percentage Transfer Restrictions on this Security Token

**`param`** array of Percentage Transfer Restrictions with their corresponding exemptions (if applicable)

**`note`** the result is the total amount of restrictions after the procedure has run

**`note`** required role:

* Security Token Owner

### `Protected` type

• **type**: *Percentage* = TransferRestrictionType.Percentage as const

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md)*.*[*type*](/polymesh-sdk-api-reference/docs-v4/classes/transferrestrictionbase.md#protected-abstract-type)

*Defined in* [*src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts:13*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/SecurityToken/TransferRestrictions/Percentage.ts#L13)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v4/classes/percentage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
